{% extends "preferences/base.html" %}
{% load crispy_forms_filters i18n static medux_preferences breadcrumbs %}

{% block page_title %}{% translate "Preferences" %}{% endblock %}

{#{% block page_menu %}#}
{#  <div class="btn-toolbar">#}
{##}
{#    <div class="btn-group me-2">#}
{##}
{# Group #}
{#      <button type="button" class="btn btn-sm dropdown-toggle"#}
{#              id="group-selector"#}
{#              data-bs-toggle="dropdown" aria-expanded="false">#}
{#          <i class="bi bi-client"></i>#}
{#        {% translate 'Group' %}#}
{#      </button>#}
{#      <ul class="dropdown-menu" aria-labelledby="group-selector">#}
{#        {% for group in groups %}#}
{#          <li><a class="dropdown-item" href="/set_group/{{ tenant.id }}">#}
{#              <i class="bi bi-{{ child.icon }}"></i>#}
{#            {{ group }}#}
{#          </a></li>#}
{#        {% endfor %}#}
{#      </ul>#}
{#    </div>#}
{#  </div>#}
{#{% endblock %}#}

{% block breadcrumbs %}
  {{ block.super }}
  {% translate "Preferences" as title %}
  {% breadcrumb title path=request.path %}
{% endblock %}

{% block content %}
  <div class="mt-2" id="preferences_view">
    <ul class="nav nav-tabs" id="tablist-preferences" role="tablist">

      {# first make a list of namespaces for the tab buttons #}
      {% for namespace in namespaces %}
        <li class="nav-item" role="presentation">
          <button class="nav-link{% if forloop.first %} active{% endif %}"
                  id="{{ namespace }}-tab"
                  data-bs-toggle="tab"
                  data-bs-target="#tab-pane-{{ namespace }}"
                  type="button" role="tab"
                  aria-controls="{{ namespace }}"
                  aria-selected="true"
          >{{ namespace|capfirst }}</button> {# TODO: better use proper translated name? #}
        </li>
      {% endfor %}

    </ul>

    <div class="tab-content" id="tab-content-preferences-{{ namespace }}">

      {# then loop through the tabs itself #}
      {% for namespace in namespaces %}
        <div class="tab-pane fade{% if forloop.first %} show active{% endif %}" id="tab-pane-{{ namespace }}" role="tabpanel" aria-labelledby="{{ namespace }}-tab">
        {% for namespace,key in keys %}
          <div class="row">
            <div class="col">
              {% for object in object_list %}
                {% if namespace == object.namespace and key == object.key and object.effective %}
                  <div class="card mb-2 preferences-item preferences-item-{{ object.namespace }}-{{ object.get_scope_display|lower }}">
                    <div class="row g-0">

                      <div class="col-1 bg-light align-items-center text-center rounded-start">
                        <div class="preferences-item-scope m-2">
                          <i class="bi bi-{{ object.get_scope_icon }} fs-4" title="{{ object.get_scope_display }}"></i>
                          <small class="d-none d-lg-block">{{ object.get_scope_display }}</small>
                        </div>
                      </div>

                      <div class="col-9 col-lg-10">
                        <div class="card-body position-relative"
                             id="{{ object.namespace }}-{{ object.key }}-{{ object.get_scope_display }}"
                             aria-labelledby="{{ object.namespace }}-{{ object.key }}-{{ object.get_scope_display }}-tab"
                             role="tabpanel"
                             tabindex="0"
                        >
                          <div>
                            <a class="card-title fs-3" href="{% url "preferences:base-detail" object.base.pk %}">
                              <i class="preferences-icon bi bi-{{ object.icon }}"></i> {{ object.key }}
                            </a>
                            <p class="card-subtitle">
                              {{ object.help_text }}
                            </p>
                          </div>

                          <div class="position-relative">
                            <p class="card-text">
                              {% if object.key_type == "text" %}
                                <textarea
                                    class="form-control"
                                    disabled
                                    id="key-{{ object.namespace }}-{{ object.key }}-{{ object.get_scope_display }}-input"

                                >{{ object.value }}</textarea>
                              {% elif object.key_type == "str" %}
                                <input
                                    class="form-control"
                                    type="text"
                                    id="key-{{ object.namespace }}-{{ object.key }}-{{ object.scope }}-input"
                                    value="{{ object.value }}"
                                    disabled
                                >
                              {% endif %}
                            </p>
                          </div>
                        </div>
                      </div>
                      <div class="col-2 col-lg-1 border-start p-2 bg-light">
                        {% if object.key_type == "int" %}
                          <div class="form-control" disabled>
                            <h4>{{ object.value }}</h4>
                          </div>
                        {% elif object.key_type == "bool" %}
                          <div class="form-check form-switch fs-2" disabled>
                            <input class="form-check-input"
                                   type="checkbox"
                                   role="switch"
                                   id="key-{{ object.namespace }}-{{ object.key }}-{{ object.scope }}-input"
                                   {% if object.value == "True" %}checked{% endif %}
                                   disabled
                            >
                            {#                  <label class="form-check-label"></label>#}
                          </div>

                        {% endif %}

                      </div>
                    </div>
                  </div>

                {% endif %}
              {% endfor %}
            </div>
          </div>
        {% endfor %}
      {% endfor %}
      </div>
    </div>
{% endblock %}